#! /usr/bin/perl

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States. Recipients
# of this software assume all responsibilities associated with its operation,
# modification and maintenance. 

#################################################################
# Usage Example: 
# get.videos.resolutions.pl AIDA_videos_directory mp4

# Input: 
# Videos directory location
# Extension of video files

# Output:
# Two column output to commandline : Video_file_name WIDTHxHEIGHT
# Output can be saved to file if needed : get.videos.resolutions.pl AIDA_videos_directory mp4 > videos_resolution_output

################################################################
$max_width = 0;
$max_height = 0;

#Videos directory
$videos_Dir = $ARGV[0];

#Video files extension (e.g. mp4)
$ext = $ARGV[1];

open LIST, "find $videos_Dir -name '*.$ext' |" or die "can't open file $!";

while ($line = <LIST>)
{
    chomp $line;
    $width_height = `ffprobe -v error -select_streams v:0 -show_entries stream=width,height -of csv=s=x:p=0 $line`;
    chomp $width_height;
    print "$line $width_height\n";

    ($width, $height) = split /x/,$width_height;
    if ($width > $max_width)
    {
	$max_width = $width;
    }
    if ($height > $max_height)
    {   
	$max_height = $height;
    }
}

print "Max width = $max_width\n";
print "Max height = $max_height\n";



